---
title: SVGURIReference
slug: Web/API/SVGURIReference
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGURIReference</code></strong> interface is used to reflect the {{SVGAttr("href")}} attribute and the deprecated {{SVGAttr("xlink:href")}} attribute.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGURIReference.href")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} that represents the value of the {{SVGAttr("href")}} attribute, and, on elements that are defined to support it, the deprecated {{SVGAttr("xlink:href")}} attribute. On getting <code>href</code>, an {{domxref("SVGAnimatedString")}} object is returned that
 <ul>
  <li>reflects the <code>href</code> attribute, and</li>
  <li>if the element is defined to support the deprecated <code>xlink:href</code> attribute, additionally reflects that deprecated attribute.</li>
 </ul>
 </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#InterfaceSVGURIReference", "SVGURIReference")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced the deprecated {{SVGAttr("xlink:href")}} attribute reference by the {{SVGAttr("href")}} attribute and made the prior only be reflected where it's defined to be supported.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "types.html#InterfaceSVGURIReference", "SVGURIReference")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGURIReference")}}</p>
